For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
      • GETGet your SMS activity aggregated over a period of time
      • GETGet your SMS activity aggregated per day
      • GETGet all your SMS activity (unaggregated events)
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Transactional SMSSMS statistics

Get all your SMS activity (unaggregated events)

GET
https://api.brevo.com/v3/transactionalSMS/statistics/events
GET
/v3/transactionalSMS/statistics/events
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalSms.getSmsEvents({});
8}
9main();
1{
2 "events": [
3 {
4 "date": "2015-05-20T12:30:00Z",
5 "event": "sent",
6 "messageId": "1473139351170140",
7 "phoneNumber": "911059469013",
8 "reason": "Recipient is currently unreachable",
9 "tag": "cabWaiting"
10 },
11 {
12 "date": "2015-05-20T16:30:00Z",
13 "event": "delivered",
14 "messageId": "1473139351170140",
15 "phoneNumber": "911059469013",
16 "reason": "Recipient is currently unreachable",
17 "tag": "cabRequest"
18 }
19 ]
20}
Retrieve a paginated list of individual SMS event records (unaggregated), including event type, phone number, message ID, timestamp, tag, and reason or reply content where applicable. Results default to 50 per page (max 100) and are sorted in descending order unless overridden. Filter by date range (`startDate`/`endDate`), past `days` (not compatible with date range), specific `event` type (e.g. delivered, bounces, replies), `phoneNumber`, or `tags`. Bounce events include the failure reason, and reply events include the reply content.
Was this page helpful?
Previous

Send a WhatsApp message

Next
Built with

Retrieve a paginated list of individual SMS event records (unaggregated), including event type, phone number, message ID, timestamp, tag, and reason or reply content where applicable. Results default to 50 per page (max 100) and are sorted in descending order unless overridden. Filter by date range (startDate/endDate), past days (not compatible with date range), specific event type (e.g. delivered, bounces, replies), phoneNumber, or tags. Bounce events include the failure reason, and reply events include the reply content.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional0-100Defaults to 50
Number of documents per page
startDatestringOptional

Mandatory if endDate is used. Starting date (YYYY-MM-DD) of the report

endDatestringOptional

Mandatory if startDate is used. Ending date (YYYY-MM-DD) of the report

offsetlongOptionalDefaults to 0
Index of the first document of the page
dayslongOptional

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

phoneNumberstringOptional
Filter the report for a specific phone number
eventenumOptional
Filter the report for specific events
tagsstringOptional
Filter the report for specific tags passed as a serialized urlencoded array
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

Sms events report informations
eventslist of objects

Errors

400
Bad Request Error